Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.StateFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.StateFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.StateFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes flags that are used when drawing primitive elements.

Note that not all primitives use all of these flags, and that the flags may mean different things to different items.

See also:
  `drawPrimitive()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.StateFlag` | `State_Active` Indicates that the widget is active.
`static QStyle.StateFlag` | `State_AutoRaise` Used to indicate if auto-raise appearance should be usd on a tool button.
`static QStyle.StateFlag` | `State_Bottom`
`static QStyle.StateFlag` | `State_Children` Used to indicate if an item view branch has children.
`static QStyle.StateFlag` | `State_DownArrow` Used to indicate if a down arrow should be visible on the widget.
`static QStyle.StateFlag` | `State_Editing` Used to indicate if an editor is opened on the widget.
`static QStyle.StateFlag` | `State_Enabled` Used to indicate if the widget is enabled.
`static QStyle.StateFlag` | `State_FocusAtBorder`
`static QStyle.StateFlag` | `State_HasFocus` Used to indicate if the widget has focus.
`static QStyle.StateFlag` | `State_Horizontal` Used to indicate if the widget is laid out horizontally, for example.
`static QStyle.StateFlag` | `State_Item` Used by item views to indicate if a horizontal branch should be drawn.
`static QStyle.StateFlag` | `State_KeyboardFocusChange` Used to indicate if the focus was changed with the keyboard, e.g., tab, backtab or shortcut.
`static QStyle.StateFlag` | `State_Mini` Used to indicate a mini style Mac widget or button.
`static QStyle.StateFlag` | `State_MouseOver` Used to indicate if the widget is under the mouse.
`static QStyle.StateFlag` | `State_NoChange` Used to indicate a tri-state checkbox.
`static QStyle.StateFlag` | `State_None` Indicates that the widget does not have a state.
`static QStyle.StateFlag` | `State_Off` Used to indicate if the widget is not checked.
`static QStyle.StateFlag` | `State_On` Used to indicate if the widget is checked.
`static QStyle.StateFlag` | `State_Open` Used by item views to indicate if the tree branch is open.
`static QStyle.StateFlag` | `State_Raised` Used to indicate if a button is raised.
`static QStyle.StateFlag` | `State_ReadOnly` Used to indicate if a widget is read-only.
`static QStyle.StateFlag` | `State_Selected` Used to indicate if a widget is selected.
`static QStyle.StateFlag` | `State_Sibling` Used by item views to indicate if a vertical line needs to be drawn (for siblings).
`static QStyle.StateFlag` | `State_Small` Used to indicate a small style Mac widget or button.
`static QStyle.StateFlag` | `State_Sunken` Used to indicate if the widget is sunken or pressed.
`static QStyle.StateFlag` | `State_Top`
`static QStyle.StateFlag` | `State_UpArrow` Used to indicate if an up arrow should be visible on the widget.
`static QStyle.StateFlag` | `State_Window`

Method Summary
`static QStyle.State` | `createQFlags(QStyle.StateFlag[] values)` This function creates a com.trolltech.qt.gui.QStyle$State with the specified `com.trolltech.qt.gui.QStyle$StateFlag[]` QStyle$StateFlag values set.
`static QStyle.StateFlag` | `resolve(int value)` Returns the QStyle$StateFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.StateFlag` | `valueOf(java.lang.String name)`
`static QStyle.StateFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### State_None

    public static final QStyle.StateFlag State_None

  Indicates that the widget does not have a state.

### State_Enabled

    public static final QStyle.StateFlag State_Enabled

  Used to indicate if the widget is enabled.

### State_Raised

    public static final QStyle.StateFlag State_Raised

  Used to indicate if a button is raised.

### State_Sunken

    public static final QStyle.StateFlag State_Sunken

  Used to indicate if the widget is sunken or pressed.

### State_Off

    public static final QStyle.StateFlag State_Off

  Used to indicate if the widget is not checked.

### State_NoChange

    public static final QStyle.StateFlag State_NoChange

  Used to indicate a tri-state checkbox.

### State_On

    public static final QStyle.StateFlag State_On

  Used to indicate if the widget is checked.

### State_DownArrow

    public static final QStyle.StateFlag State_DownArrow

  Used to indicate if a down arrow should be visible on the widget.

### State_Horizontal

    public static final QStyle.StateFlag State_Horizontal

  Used to indicate if the widget is laid out horizontally, for example. a tool bar.

### State_HasFocus

    public static final QStyle.StateFlag State_HasFocus

  Used to indicate if the widget has focus.

### State_Top

    public static final QStyle.StateFlag State_Top

### State_Bottom

    public static final QStyle.StateFlag State_Bottom

### State_FocusAtBorder

    public static final QStyle.StateFlag State_FocusAtBorder

### State_AutoRaise

    public static final QStyle.StateFlag State_AutoRaise

  Used to indicate if auto-raise appearance should be usd on a tool button.

### State_MouseOver

    public static final QStyle.StateFlag State_MouseOver

  Used to indicate if the widget is under the mouse.

### State_UpArrow

    public static final QStyle.StateFlag State_UpArrow

  Used to indicate if an up arrow should be visible on the widget.

### State_Selected

    public static final QStyle.StateFlag State_Selected

  Used to indicate if a widget is selected.

### State_Active

    public static final QStyle.StateFlag State_Active

  Indicates that the widget is active.

### State_Window

    public static final QStyle.StateFlag State_Window

### State_Open

    public static final QStyle.StateFlag State_Open

  Used by item views to indicate if the tree branch is open.

### State_Children

    public static final QStyle.StateFlag State_Children

  Used to indicate if an item view branch has children.

### State_Item

    public static final QStyle.StateFlag State_Item

  Used by item views to indicate if a horizontal branch should be drawn.

### State_Sibling

    public static final QStyle.StateFlag State_Sibling

  Used by item views to indicate if a vertical line needs to be drawn (for siblings).

### State_Editing

    public static final QStyle.StateFlag State_Editing

  Used to indicate if an editor is opened on the widget.

### State_KeyboardFocusChange

    public static final QStyle.StateFlag State_KeyboardFocusChange

  Used to indicate if the focus was changed with the keyboard, e.g., tab, backtab or shortcut.

### State_ReadOnly

    public static final QStyle.StateFlag State_ReadOnly

  Used to indicate if a widget is read-only.

### State_Small

    public static final QStyle.StateFlag State_Small

  Used to indicate a small style Mac widget or button.

### State_Mini

    public static final QStyle.StateFlag State_Mini

  Used to indicate a mini style Mac widget or button.

Method Detail

### values

    public static QStyle.StateFlag[] values()

### valueOf

    public static QStyle.StateFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyle.State createQFlags(QStyle.StateFlag[] values)

  This function creates a com.trolltech.qt.gui.QStyle$State with the specified `com.trolltech.qt.gui.QStyle$StateFlag[]` QStyle$StateFlag values set.

### resolve

    public static QStyle.StateFlag resolve(int value)

  Returns the QStyle$StateFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD